% ------------------------------------------------------------------------------
% Copyright (c) 2010, 2021 Contributors to the Eclipse Foundation
%
% See the NOTICE file(s) distributed with this work for additional
% information regarding copyright ownership.
%
% This program and the accompanying materials are made available under the terms
% of the MIT License which is available at https://opensource.org/licenses/MIT
%
% SPDX-License-Identifier: MIT
% ------------------------------------------------------------------------------
\documentclass{article}
\usepackage{tikz}
\usepackage{verbatim}

\usepackage[paperwidth=40in, paperheight=20in]{geometry}

\usetikzlibrary{arrows, automata, positioning, shapes.geometric}
\begin{document}
\pagestyle{empty}

\definecolor{se-blue}{HTML}{D0D5FF}

\newcommand{\state}[2]{\begin{tabular}{@{}c@{}}#1\\#2\end{tabular}}

\begin{tikzpicture}[
  ->,>=stealth',auto,node distance=3.5cm,thick,
  every node/.style={font=\sffamily\small},
  every state/.style={draw=se-blue,thick,top color=white,ellipse,
                      bottom color=se-blue!75,initial text=},
  initial/.style={initial left},
  accepting/.style={accepting by arrow,accepting text=\ldots},
  every edge/.style={draw=black!50}]

  \node[state, initial]   (s00) [            ] {i, 0.0, 0.0};
  \node[state]            (s01) [right of=s00] {p, 0.0, 0.0};
  \node[state]            (s02) [right of=s01] {p, 3.0, 3.0};
  \node[state]            (s03) [right of=s02] {i, 3.0, 3.0};
  \node[state]            (s04) [right of=s03] {p, 3.0, 0.0};
  \node[state]            (s05) [right of=s04] {p, 6.0, 3.0};
  \node[state]            (s06) [right of=s05] {i, 6.0, 3.0};
  \node[state]            (s07) [right of=s06] {p, 6.0, 0.0};
  \node[state]            (s08) [right of=s07] {p, 9.0, 3.0};
  \node[state, accepting] (s09) [right of=s08] {i, 9.0, 3.0};

  \path[every node/.style={font=\sffamily\normalsize,outer sep=2pt}]
    (s00) edge[] node[] {start}    (s01)
    (s01) edge[] node[] {3.0}      (s02)
    (s02) edge[] node[] {finished} (s03)
    (s03) edge[] node[] {start}    (s04)
    (s04) edge[] node[] {3.0}      (s05)
    (s05) edge[] node[] {finished} (s06)
    (s06) edge[] node[] {start}    (s07)
    (s07) edge[] node[] {3.0}      (s08)
    (s08) edge[] node[] {finished} (s09)
  ;

\end{tikzpicture}
\end{document}
